CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

            calibre-smtp [Optionen] [Absender Empfänger Text]

Senden von E-Mail-Nachrichten über das SMTP-Protokoll. calibre-smtp kennt zwei Betriebsmodi. Im "Verfassen"-Modus geben Sie Absender, Empfänger und Text an, und diese Angaben werden dazu verwendet, eine E-Mail-Nachricht zu erstellen und zu versenden. Im "Filter"-Modus liest calibre-smtp eine vollständige E-Mail-Nachricht über die Standardeingabe STDIN ein und versendet diese.

"Text" ist der Textkörper der E-Mail-Nachricht. Falls Text nicht angegeben ist, wird eine vollständige E-Mail-Nachricht von der Standardeingabe STDIN eingelesen. "Absender" ist die E-Mail-Adresse des Absenders und "Empfänger" ist die E-Mail-Adresse des Empfängers. Wurde eine vollständige E-Mail von STDIN eingelesen, dienen Absender und Empfänger nur zum Aushandeln des SMTP-Protokolls, die Nachrichtenkopfzeilen werden nicht verändert.

Wann immer Sie Argumente mit Leerzeichen an calibre-smtp weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

    --fork, -f
        Nachrichten im Hintergrund versenden. Falls Sie diese Option verwenden, sollten Sie zur Behandlung von Übermittlungsfehlern auch --outbox verwenden.

    --help, -h
        Diesen Hilfetext anzeigen und beenden.

    --localhost, -l
        Computername des localhost. Dieser wird bei der Verbindung zum SMTP-Server verwendet.

    --outbox, -o
        Pfad zum maildir-Ordner zum Speichern fehlgeschlagener E-Mails.

    --timeout, -t
        Zeitüberschreitung für die Verbindung

    --verbose, -v
        Mehr Informationen anzeigen

    --version
        Programmversion anzeigen und beenden

  COMPOSE MAIL

Optionen zum Verfassen einer E-Mail. Wird ignoriert, wenn kein Text angegeben wird

    --attachment, -a
        An die E-Mail anzuhängende Datei

    --subject, -s
        Betreff der E-Mail

  SMTP RELAY

Optionen für die Verwendung eines SMTP-Servers zum Versenden von E-Mails. Solange über --relay kein SMTP-Server angegeben ist, wird Calibre versuchen, eine E-Mail direkt zu versenden.

    --cafile
        Path to a file of concatenated CA certificates in PEM format, used to verify the server certificate when using TLS. By default, the system CA certificates are used.

    --dont-verify-server-certificate
        Do not verify the server certificate when connecting using TLS. This used to be the default behavior in calibre versions before 3.27. If you are using a relay with a self-signed or otherwise invalid certificate, you can use this option to restore the pre 3.27 behavior

    --encryption-method, -e
        Verwendete Verschlüsselungsmethode beim Herstellen der Verbindung mit dem SMTP-Server. Auswahlmöglichkeiten sind TLS, SSL und NONE. Standardwert ist TLS. Warnung: Die Auswahl NONE ist sehr unsicher.

    --password, -p
        Passwort für den Mail-Server

    --port
        Der Anschluss zum SMTP-Server, der auf die Verbindungen wartet. Standardmäßig wird bei SSL-Verschlüsslung Port 465 und andernfalls 25 verwendet.

    --relay, -r
        Der SMTP-Server-Name zum Versenden einer E-Mail Nachricht.

    --username, -u
        Benutzername auf dem Mail-Server

Author
Kovid Goyal

Copyright
Kovid Goyal